View Issue Details

IDProjectCategoryView StatusLast Update
0004481FreeCADBugpublic2020-11-01 17:26
Reporterhiaselhans Assigned To 
PriorityhighSeveritymajorReproducibilityalways
Status newResolutionopen 
Product Version0.18 
Summary0004481: App.ActiveDocument.ActiveObject is not updated
DescriptionWhen an object is selected from the 3d-view it is being marked in the list on the left ("Model"), however when trying to access it via App.ActiveDocument.ActiveObject the returned model is random.
Steps To ReproduceCreate a new document
Create a Box
Open python console

>>>App.ActiveDocument.ActiveObject.Label
'Würfel'

create cylinder

>>>App.ActiveDocument.ActiveObject.Label
'Zylinder'

select box

>>>App.ActiveDocument.ActiveObject.Label
'Zylinder'

expected: 'Würfel'
TagsNo tags attached.
FreeCAD InformationOS: Arch Linux
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.16146 (Git)
Build type: Release
Branch: makepkg
Hash: 980bf9060e28555fecd9e3462f68ca74007b70f8
Python version: 3.8.6
Qt version: 5.15.1
Coin version: 4.0.1
OCC version: 7.4.0
Locale: German/Germany (de_DE)

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-11-01 17:26 hiaselhans New Issue